<?xml version="1.0"?>

<xsl:stylesheet
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:lp="http://www.litprog.org/xmLP/alpha-2000-04-09/"
  xmlns="http://www.w3.org/TR/REC-html40"
  xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
  xmlns:s="http://dummy.org/xmLP-RDF-sample"
  version="1.0"
>

<xsl:output method="html" indent="no"/>

<xsl:template match="/">
  <HTML>
  <HEAD>
    <TITLE>RDF Properties</TITLE>
  </HEAD>
  <BODY>
    <xsl:apply-templates/>
  </BODY>
  </HTML>
</xsl:template>

<xsl:template match="rdf:Description">
  <P>
  <TABLE BORDER="2" WIDTH="60%">
    <xsl:apply-templates/>
  </TABLE>
  </P>
</xsl:template>

<xsl:template match="s:Name">
  <TR>
    <TH WIDTH="33%">Name</TH>
    <TD WIDTH="*"><xsl:value-of select="text()"/></TD>
  </TR>
</xsl:template>

<xsl:template match="s:LegCount">
  <TR>
    <TH>Leg Count</TH>
    <TD><xsl:value-of select="text()"/></TD>
  </TR>
</xsl:template>

<xsl:template match="s:Habitat">
  <TR>
    <TH>Habitat</TH>
    <TD><xsl:value-of select="text()"/></TD>
  </TR>
</xsl:template>

<xsl:template match="s:Carnivore">
  <TR>
    <TH>Carnivore?</TH>
    <TD><xsl:value-of select="text()"/></TD>
  </TR>
</xsl:template>

</xsl:stylesheet>